Subject: [bug#75203] Fix rootless podman system tests and support I/O delegation

From: paul <[email-masked]>
Date: Mon, 30 Dec 2024 16:54:36 +0100

Hi Guix,

since rootless Podman tests are failing on CI ( 
https://ci.guix.gnu.org/build/7694600/details and past jobs), but are 
working on my machine ( :) ), I'm sending a patch adding a delay to 
allow services to start also on slower machines.

I'm using this occasion also to introduce a minor change (implement 
rootless I/O controller delegation) required for correct cgroups v2 
setup, according to [0].

Thank you for all your work,

giacomo

[0]: https://rootlesscontaine.rs/getting-started/common/cgroup2/